Module java.desktop
Package javax.swing.plaf.basic

## Class BasicTabbedPaneUI.MouseHandler

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.plaf.basic.BasicTabbedPaneUI.MouseHandler

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`

Enclosing class:
  BasicTabbedPaneUI

    public class BasicTabbedPaneUI.MouseHandler
    extends MouseAdapter

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicTabbedPaneUI.

### Constructor Summary

Constructors
`MouseHandler()`

### Method Summary

### Methods declared in class java.awt.event.MouseAdapter

`mouseDragged, mouseMoved, mouseWheelMoved`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.MouseListener

`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

### Constructor Detail

#### MouseHandler

    public MouseHandler()